NVME-LIST(1)

NAME
nvme-list - List all recognized NVMe devices

SYNOPSIS

nvme list [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

DESCRIPTION

Scan the sysfs tree for NVM Express devices and return the /dev node for those devices as well as some pertinent information about them.

OPTIONS

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v, --verbose
    Increase the information in the output, showing nvme subsystems, controllers and namespaces separately and how they’re related to each other.

ENVIRONMENT

PCI_IDS_PATH - Full path of pci.ids file in case nvme could not find it in common locations.

EXAMPLES

No examples yet.

NVME

Part of the nvme-user suite